/report/insight/demand-mix/dimension
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/demand-mix/dimension \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/insight/demand-mix/dimension"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/insight/demand-mix/dimension', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"currency": "GBP",
"dimensions": [
"Ad Exchange",
"Ad server",
"Header Bidding",
"Open Bidding"
],
"data": {
"ad_requests": {
"total": [],
"sum": 1227014
},
"revenue": {
"total": [
165.64493500000003,
6108.845417000005,
56.032088,
9.199275
],
"direct": [
null,
6090.406587000004,
null,
null
],
"programmatic": [
165.64493500000003,
null,
56.032088,
9.199275
],
"fallback": [
null,
0,
null,
null
],
"untracked": [
null,
18.43883,
null,
null
],
"ci_direct": [
null,
0,
null,
null
],
"ci_programmatic": [
5.090314,
null,
17.064781,
null
],
"ci_fallback": [
null,
null,
null,
null
],
"ci_untracked": [
null,
null,
null,
null
],
"publisher_direct": [
null,
6090.406587000004,
null,
null
],
"publisher_programmatic": [
160.554621,
null,
38.967307000000005,
9.199275
],
"publisher_fallback": [
null,
0,
null,
null
],
"publisher_untracked": [
null,
18.43883,
null,
null
]
},
"impressions": {
"total": [
129389,
486092,
36450,
5036
],
"direct": [
null,
346071,
null,
null
],
"programmatic": [
129389,
null,
36450,
5036
],
"fallback": [
null,
131445,
null,
null
],
"untracked": [
null,
8576,
null,
null
],
"ci_direct": [
null,
8653,
null,
null
],
"ci_programmatic": [
19933,
null,
11677,
null
],
"ci_fallback": [
null,
null,
null,
null
],
"ci_untracked": [
null,
null,
null,
null
],
"publisher_direct": [
null,
337418,
null,
null
],
"publisher_programmatic": [
109456,
null,
24773,
5036
],
"publisher_fallback": [
null,
131445,
null,
null
],
"publisher_untracked": [
null,
8576,
null,
null
]
},
"viewable_impressions": {
"total": [
90765,
167510,
8087,
2559
],
"direct": [
null,
119191,
null,
null
],
"programmatic": [
90765,
null,
8087,
2559
],
"fallback": [
null,
47494,
null,
null
],
"untracked": [
null,
825,
null,
null
],
"ci_direct": [
null,
5151,
null,
null
],
"ci_programmatic": [
12144,
null,
2487,
null
],
"ci_fallback": [
null,
null,
null,
null
],
"ci_untracked": [
null,
null,
null,
null
],
"publisher_direct": [
null,
114040,
null,
null
],
"publisher_programmatic": [
78621,
null,
5600,
2559
],
"publisher_fallback": [
null,
47494,
null,
null
],
"publisher_untracked": [
null,
825,
null,
null
]
}
}
},
"success": true
}Reporting/Insights Hub/Demand Mix
/report/insight/demand-mix/dimension
Returns demand mix data for a specified dimension, including partner, channel, advertiser, or platform
GET
/
v1
/
report
/
insight
/
demand-mix
/
dimension
/report/insight/demand-mix/dimension
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Publisher ID
Date range. All ranges exclude today and run up to yesterday
Available options:
custom, all_time, seven_days, fourteen_days, thirty_days, three_months, six_months, week_to_date, month_to_date, quarter_to_date, year_to_date, last_week, last_month, last_quarter, last_year, month_on_month, quarter_on_quarter, yesterday Start date when range=custom
End date when range=custom
Date grouping when range=custom
Available options:
day, month, year Revenue type
Available options:
gross, net Revenue source, SaaS or Plug&Play (pap)
Available options:
all, pap, saas Dimension to report on
Available options:
partner, channel, advertiser, platform Filter for when tab=platform
Filter for when tab=channel
Filter for when tab=partner
Filter for when tab=advertiser
Environment or platform to report from
Available options:
all, app, web Was this page helpful?
⌘I